%define upstream_name    Test-File-Contents
%define upstream_version 0.242

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test routines for examining the contents of files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder) >= 0.700.0
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Builder::Tester::Color)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Text::Diff) >= 0.350.0
BuildArch:  noarch

%description
Test routines for examining the contents of files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Sep 05 2022 tv <tv> 0.242.0-1.mga9
+ Revision: 1884077
- update to 0.242

* Sat Aug 13 2022 tv <tv> 0.241.0-1.mga9
+ Revision: 1877361
- update to 0.241

* Thu Jul 21 2022 tv <tv> 0.240.0-1.mga9
+ Revision: 1869738
- update to 0.240

* Mon Mar 21 2022 umeabot <umeabot> 0.230.0-6.mga9
+ Revision: 1811463
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.230.0-5.mga8
+ Revision: 1523819
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.230.0-4.mga7
+ Revision: 1374832
- fix summary+desc

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-3.mga7
+ Revision: 1271808
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1034288
- Rebuild for perl 5.22.2

* Mon Mar 21 2016 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 993785
- update to 0.23

* Thu Mar 10 2016 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 988805
- update to 0.22

* Tue Feb 02 2016 umeabot <umeabot> 0.210.0-5.mga6
+ Revision: 931985
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 748649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 686439
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 525297
- Mageia 4 Mass Rebuild

* Thu May 30 2013 shlomif <shlomif> 0.210.0-1.mga4
+ Revision: 432989
- update to 0.21

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 373519
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 169223
- imported package perl-Test-File-Contents

